
From: "Randy.Dunlap" <rddunlap@osdl.org>

oss/es1370: fix initdata section reference:

Error: ./sound/oss/es1370.o .text refers to 00000000000042bd R_X86_64_32S      .init.data+0x0000000000000024
Error: ./sound/oss/es1370.o .text refers to 00000000000042c5 R_X86_64_32S      .init.data+0x0000000000000020

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/es1370.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN sound/oss/es1370.c~oss-es1370-fix-initdata-section-references sound/oss/es1370.c
--- 25/sound/oss/es1370.c~oss-es1370-fix-initdata-section-references	2005-03-07 20:41:44.000000000 -0800
+++ 25-akpm/sound/oss/es1370.c	2005-03-07 20:41:44.000000000 -0800
@@ -2540,7 +2540,7 @@ MODULE_LICENSE("GPL");
 static struct initvol {
 	int mixch;
 	int vol;
-} initvol[] __initdata = {
+} initvol[] __devinitdata = {
 	{ SOUND_MIXER_WRITE_VOLUME, 0x4040 },
 	{ SOUND_MIXER_WRITE_PCM, 0x4040 },
 	{ SOUND_MIXER_WRITE_SYNTH, 0x4040 },
_
